Bug 54050 - EDITING: Missing undo for Table/Report deletion
Summary: EDITING: Missing undo for Table/Report deletion
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Undo-Redo
  Show dependency treegraph
 
Reported: 2012-08-25 11:25 UTC by Rainer Bielefeld Retired
Modified: 2019-05-14 02:55 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-08-25 11:25:41 UTC
Steps how to reproduce with "LibreOffice 3.6.1.2  German UI/Locale [Build-ID:  e29a214] on German WIN7 Home Premium (64bit):
1. Download Attachment 66035 [details] of Bug 53984
2. Open document from LibO Start Center File dialog
3. In Database Pane click 'Reports'
   > In Reports Pane "Bericht" appears
4. In Reports Pane click  "Bericht" , then <Del>
   > "Bericht" disappears
5. Menu 'Edit'
   Expected: 'Undo' active
   Actual: 'Undo' inactive, greyed out.

That' inconsistent, when you delete a Sheet in Calc a similar warning message appears, but you can undo the deletion.

I do not believe that it's too difficult to provide undo for such deletion.

Same issue when you delete Table "Article" in Tables Pane. No undo possible.
Comment 1 Jochen 2012-08-25 20:46:56 UTC
Rep
Comment 2 Jochen 2012-08-25 20:49:54 UTC
Reporter reports bug for LO-version 3.6.1.2 (body) but 3.3.0 Beta is entered in "Header".
Changed "3.3.0 Beta" to "3.6.1.2 rc"
Comment 3 Jochen 2012-08-25 20:55:55 UTC
I can confirm the bug (using Windows XP).
Discussion: bug or enhancement?
Comment 4 Rainer Bielefeld Retired 2012-08-26 04:58:02 UTC
Forgot to mention, that never worked, same with LibO 3.3.3 and AOOo 3.4
Also forgot OS

@Jochen:
No discussion required, this is a bug

@Lionel:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug or forward the Bug if it's not your turf.
If undo fix is difficult and can't be done soon, an additional warning "Attention, there is no Undo" should be added to this deletion message
Comment 5 Alex Thurgood 2015-01-03 17:40:21 UTC Comment hidden (no-value)
Comment 6 QA Administrators 2016-01-17 20:02:43 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.4 or later)  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT:

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-01-17
Comment 7 QA Administrators 2019-05-14 02:55:09 UTC
Dear Rainer Bielefeld Retired,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug